Delete a signature request

DELETE
/v1/sign/requests/{id}

Deletes a request that isn't sent (cancel it first) with its signers, fields, audit trail, signatures and signed document, for good. Its documents stay (delete them on their own). Keep the signed document first if you need it: it is your record.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The signature request's id.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The deleted request.

application/json
  1. response
object*"sign_request"
Value in"sign_request"
id*string
deleted*true
Value intrue
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.sign.requests.remove("sreq_01k7c8m4q2f3e9v6t5r1n0p8yz");
{  "object": "sign_request",  "id": "sreq_01k7c8m4q2f3e9v6t5r1n0p8yz",  "deleted": true}